#ifndef ProtoGenWrapper_ComInterfaceCommands_H
#define ProtoGenWrapper_ComInterfaceCommands_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class ComInterface;

	class ActivateEthernet : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ActivateEthernet(const ComInterface& comInterface);
		ActivateEthernet(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		ActivateEthernet() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class CloseComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CloseComInterface(const ComInterface& comInterface);
		CloseComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		CloseComInterface() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class ConnectComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ConnectComInterface(const ComInterface& comInterface);
		ConnectComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		ConnectComInterface() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class DeactivateEthernet : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		DeactivateEthernet(const ComInterface& comInterface);
		DeactivateEthernet(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		DeactivateEthernet() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class GetBatteryVoltageFromComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetBatteryVoltageFromComInterface(const ComInterface& comInterface);
		GetBatteryVoltageFromComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetBatteryVoltageFromComInterface() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class GetComInterfaceProperties : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComInterfaceProperties(const ComInterface& comInterface);
		GetComInterfaceProperties(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetComInterfaceProperties() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class GetComInterfaceResourceNameList : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComInterfaceResourceNameList(const ComInterface& comInterface);
		GetComInterfaceResourceNameList(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetComInterfaceResourceNameList() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class GetIgnitionStateFromComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetIgnitionStateFromComInterface(const ComInterface& comInterface);
		GetIgnitionStateFromComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetIgnitionStateFromComInterface() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class IsEthernetActivated : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		IsEthernetActivated(const ComInterface& comInterface);
		IsEthernetActivated(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		IsEthernetActivated() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};

	class IsInterfaceConnected : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		IsInterfaceConnected(const ComInterface& comInterface);
		IsInterfaceConnected(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		IsInterfaceConnected() = delete;

		static int GetCommandType();
		bool GetValues(ComInterface& comInterface);
	};
}
#endif // ProtoGenWrapper_ComInterfaceCommands_H
